Redmine - Feature #11087

Calculate Total Time Spent on Parent Issue
2012-06-04 07:15 - Jonathan Campbell
Assignee: % Done: 0%
Category: Issues Estimated time: 0.00 hour

Target version:

Resolution: Fixed

Description

| noticed that redmine calculates the total estimated time on parent tasks using the estimated time of the sub tasks, it would be
awesome to see this for Spent Time as well.

Related issues:

Related to Redmine - Feature #11253: Total time spent from subtasks on the is... Closed

History

#1 - 2012-06-18 10:07 - Evgeny Zhiryakov

+1

#2 - 2012-06-18 10:19 - Anton Nepomnyaschih

+1

#3 - 2012-06-18 11:05 - Evgeny Zhiryakov

| think the problem lies in these lines:

In Redmine 1.4:

def total_spent_hours
@Qtotal_spent_hours ||= self_and_descendants.sum("#{TimeEntry.table_name}.hours",
:joins => "LEFT JOIN #{TimeEntry.table_name} ON #{TimeEntry.table_name}.issue_id = #{Issue.table_name}.1i
d").to_£f || 0.0
end

In Redmine 1.3:
def spent_hours
@spent_hours ||= self_and_descendants.sum("#{TimeEntry.table_name}.hours", :include => :time_entries).to_f
|l 0.0
end
| tried to replace the new line of old, but it did not help.

#4 - 2012-07-26 16:45 - Allan Story de Almeida Martins
+ 1 with redmine 2.0.3

#5 - 2012-07-26 16:49 - Rodrigo Merola Winterhalter
+ 1 with redmine 2.0.3

#6 - 2012-08-01 23:27 - Florian Schwab

Issues #11566 and #11253 also describe this problem/feature.
+1

#7 - 2013-01-16 10:38 - Daniel Felix

- Status changed from New to Closed

- Resolution set to Fixed
https://www.redmine.org/issues/11566
https://www.redmine.org/issues/11253

| added the relation to #11253.

This one here is another feature request. #11253 is about calculation on the issue list and this ticket, there's just the calculation on the parent issue.

But anyway, this already works in Redmine 2.2.1. This one seems to be already resolved.

#8 - 2013-10-11 19:31 - Ty You

| don't see this working in 2.3.2 stable - am | missing a config setting or something? | do not believe so...
Spent time on subtasks do not roll up - | still see zero's in the issues list for the parent tasks.

#9 - 2013-10-11 20:15 - Ty You

| don't see this working in 2.3.2 stable - am | missing a config setting or something? | do not believe so...
Spent time on subtasks do not roll up - | still see zero's in the issues list for the parent tasks.

EDIT: the patch presented in related issue #11253 indeed still seems to work for 2.3.2 stable.
